/*
 * Copyright (C) 2010 Evgeny Mandrikov
 *
 * Sonar-IDE is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * Sonar-IDE is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with Sonar-IDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02
 */

package org.sonar.ide.idea.utils;

import com.intellij.openapi.util.IconLoader;
import org.jetbrains.annotations.Nullable;
import org.sonar.ide.ui.AbstractIconLoader;

import javax.swing.*;

/**
 * @author Evgeny Mandrikov
 */
public final class IdeaIconLoader extends AbstractIconLoader {
  public static final IdeaIconLoader INSTANCE = new IdeaIconLoader();

  private IdeaIconLoader() {
  }

  @Override
  public Icon getIcon(@Nullable String path) {
    if (path == null) {
      return null;
    }
    return IconLoader.getIcon(path);
  }
}
